from shared.gitmojis import GitmojiEnum

mojis = [
    {
        "type": "fix",
        "icon": GitmojiEnum.FIX.value,
        "code": ":bug:",
        "desc": "Fix a bug.",
    },
    {
        "type": "feat",
        "icon": GitmojiEnum.FEAT.value,
        "code": ":sparkles:",
        "desc": "Introduce new features.",
    },
    {
        "type": "docs",
        "icon": GitmojiEnum.DOCS.value,
        "code": ":memo:",
        "desc": "Add or update documentation.",
    },
    {
        "type": "style",
        "icon": GitmojiEnum.STYLE.value,
        "code": ":art:",
        "desc": "Improve structure / format of the code.",
    },
    {
        "type": "refactor",
        "icon": GitmojiEnum.REFACTOR.value,
        "code": ":recycle:",
        "desc": "Refactor code.",
    },
    {
        "type": "perf",
        "icon": GitmojiEnum.PERF.value,
        "code": ":zap:",
        "desc": "Improve performance.",
    },
    {
        "type": "test",
        "icon": GitmojiEnum.TEST.value,
        "code": ":white_check_mark:",
        "desc": "Add, update, or pass tests.",
    },
    {
        "type": "build",
        "icon": GitmojiEnum.BUILD.value,
        "code": ":construction_worker:",
        "desc": "Add or update CI build system.",
    },
    {
        "type": "ci",
        "icon": GitmojiEnum.CI.value,
        "code": ":green_heart:",
        "desc": "Fix CI Build.",
    },
    {
        "type": "revert",
        "icon": GitmojiEnum.REVERT.value,
        "code": ":rewind:",
        "desc": "Revert changes.",
    },
    {
        "type": "dump",
        "icon": GitmojiEnum.DUMP.value,
        "code": ":fire:",
        "desc": "Remove code or files.",
    },
    {
        "type": "hotfix",
        "icon": GitmojiEnum.HOTFIX.value,
        "code": ":ambulance:",
        "desc": "Critical hotfix.",
    },
    {
        "type": "deploy",
        "icon": GitmojiEnum.DEPLOY.value,
        "code": ":rocket:",
        "desc": "Deploy stuff.",
    },
    {
        "type": "ui",
        "icon": GitmojiEnum.UI.value,
        "code": ":lipstick:",
        "desc": "Add or update the UI and style files.",
    },
    {
        "type": "init",
        "icon": GitmojiEnum.INIT.value,
        "code": ":tada:",
        "desc": "Begin a project.",
    },
    {
        "type": "security",
        "icon": GitmojiEnum.SECURITY.value,
        "code": ":lock:",
        "desc": "Fix security issues.",
    },
    {
        "type": "secret",
        "icon": GitmojiEnum.SECRET.value,
        "code": ":closed_lock_with_key:",
        "desc": "Add or update secrets.",
    },
    {
        "type": "bump",
        "icon": GitmojiEnum.BUMP.value,
        "code": ":bookmark:",
        "desc": "Release / Version tags.",
    },
    {
        "type": "fix-lint",
        "icon": GitmojiEnum.FIX_LINT.value,
        "code": ":rotating_light:",
        "desc": "Fix compiler / linter warnings.",
    },
    {
        "type": "wip",
        "icon": GitmojiEnum.WIP.value,
        "code": ":construction:",
        "desc": "Work in progress.",
    },
    {
        "type": "dep-drop",
        "icon": GitmojiEnum.DEP_DROP.value,
        "code": ":arrow_down:",
        "desc": "Downgrade dependencies.",
    },
    {
        "type": "dep-bump",
        "icon": GitmojiEnum.DEP_BUMP.value,
        "code": ":arrow_up:",
        "desc": "Upgrade dependencies.",
    },
    {
        "type": "pin",
        "icon": GitmojiEnum.PIN.value,
        "code": ":pushpin:",
        "desc": "Pin dependencies to specific versions.",
    },
    {
        "type": "analytics",
        "icon": GitmojiEnum.ANALYTICS.value,
        "code": ":chart_with_upwards_trend:",
        "desc": "Add or update analytics or track code.",
    },
    {
        "type": "dep-add",
        "icon": GitmojiEnum.DEP_ADD.value,
        "code": ":heavy_plus_sign:",
        "desc": "Add a dependency.",
    },
    {
        "type": "dep-rm",
        "icon": GitmojiEnum.DEP_RM.value,
        "code": ":heavy_minus_sign:",
        "desc": "Remove a dependency.",
    },
    {
        "type": "config",
        "icon": GitmojiEnum.CONFIG.value,
        "code": ":wrench:",
        "desc": "Add or update configuration files.",
    },
    {
        "type": "script",
        "icon": GitmojiEnum.SCRIPT.value,
        "code": ":hammer:",
        "desc": "Add or update development scripts.",
    },
    {
        "type": "lang",
        "icon": GitmojiEnum.LANG.value,
        "code": ":globe_with_meridians:",
        "desc": "Internationalization and localization.",
    },
    {
        "type": "typo",
        "icon": GitmojiEnum.TYPO.value,
        "code": ":pencil2:",
        "desc": "Fix typos.",
    },
    {
        "type": "poop",
        "icon": GitmojiEnum.POOP.value,
        "code": ":poop:",
        "desc": "Write bad code that needs to be improved.",
    },
    {
        "type": "merge",
        "icon": GitmojiEnum.MERGE.value,
        "code": ":twisted_rightwards_arrows:",
        "desc": "Merge branches.",
    },
    {
        "type": "package",
        "icon": GitmojiEnum.PACKAGE.value,
        "code": ":package:",
        "desc": "Add or update compiled files or packages.",
    },
    {
        "type": "external",
        "icon": GitmojiEnum.EXTERNAL.value,
        "code": ":alien:",
        "desc": "Update code due to external API changes.",
    },
    {
        "type": "resource",
        "icon": GitmojiEnum.RESOURCE.value,
        "code": ":truck:",
        "desc": "Move or rename resources (e.g.: files, paths, routes).",
    },
    {
        "type": "license",
        "icon": GitmojiEnum.LICENSE.value,
        "code": ":page_facing_up:",
        "desc": "Add or update license.",
    },
    {
        "type": "boom",
        "icon": GitmojiEnum.BOOM.value,
        "code": ":boom:",
        "desc": "Introduce breaking changes.",
    },
    {
        "type": "asset",
        "icon": GitmojiEnum.ASSET.value,
        "code": ":bento:",
        "desc": "Add or update assets.",
    },
    {
        "type": "accessibility",
        "icon": GitmojiEnum.ACCESSIBILITY.value,
        "code": ":wheelchair:",
        "desc": "Improve accessibility.",
    },
    {
        "type": "source-docs",
        "icon": GitmojiEnum.SOURCE_DOCS.value,
        "code": ":bulb:",
        "desc": "Add or update comments in source code.",
    },
    {
        "type": "beer",
        "icon": GitmojiEnum.BEER.value,
        "code": ":beers:",
        "desc": "Write code drunkenly.",
    },
    {
        "type": "text",
        "icon": GitmojiEnum.TEXT.value,
        "code": ":speech_balloon:",
        "desc": "Add or update text and literals.",
    },
    {
        "type": "db",
        "icon": GitmojiEnum.DB.value,
        "code": ":card_file_box:",
        "desc": "Perform database related changes.",
    },
    {
        "type": "logs-add",
        "icon": GitmojiEnum.LOGS_ADD.value,
        "code": ":loud_sound:",
        "desc": "Add or update logs.",
    },
    {
        "type": "logs-rm",
        "icon": GitmojiEnum.LOGS_RM.value,
        "code": ":mute:",
        "desc": "Remove logs.",
    },
    {
        "type": "people",
        "icon": GitmojiEnum.PEOPLE.value,
        "code": ":busts_in_silhouette:",
        "desc": "Add or update contributor(s).",
    },
    {
        "type": "ux",
        "icon": GitmojiEnum.UX.value,
        "code": ":children_crossing:",
        "desc": "Improve user experience / usability.",
    },
    {
        "type": "arch",
        "icon": GitmojiEnum.ARCH.value,
        "code": ":building_construction:",
        "desc": "Make architectural changes.",
    },
    {
        "type": "design",
        "icon": GitmojiEnum.DESIGN.value,
        "code": ":iphone:",
        "desc": "Work on responsive design.",
    },
    {
        "type": "mock",
        "icon": GitmojiEnum.MOCK.value,
        "code": ":clown_face:",
        "desc": "Mock things.",
    },
    {
        "type": "egg",
        "icon": GitmojiEnum.EGG.value,
        "code": ":egg:",
        "desc": "Add or update an easter egg.",
    },
    {
        "type": "ignore",
        "icon": GitmojiEnum.IGNORE.value,
        "code": ":see_no_evil:",
        "desc": "Add or update a .gitignore file.",
    },
    {
        "type": "snap",
        "icon": GitmojiEnum.SNAP.value,
        "code": ":camera_flash:",
        "desc": "Add or update snapshots.",
    },
    {
        "type": "experiment",
        "icon": GitmojiEnum.EXPERIMENT.value,
        "code": ":alembic:",
        "desc": "Perform experiments.",
    },
    {
        "type": "seo",
        "icon": GitmojiEnum.SEO.value,
        "code": ":mag:",
        "desc": "Improve SEO.",
    },
    {
        "type": "types",
        "icon": GitmojiEnum.TYPES.value,
        "code": ":label:",
        "desc": "Add or update types.",
    },
    {
        "type": "seed",
        "icon": GitmojiEnum.SEED.value,
        "code": ":seedling:",
        "desc": "Add or update seed files.",
    },
    {
        "type": "flag",
        "icon": GitmojiEnum.FLAG.value,
        "code": ":triangular_flag_on_post:",
        "desc": "Add, update, or remove feature flags.",
    },
    {
        "type": "catch",
        "icon": GitmojiEnum.CATCH.value,
        "code": ":goal_net:",
        "desc": "Catch errors.",
    },
    {
        "type": "animation",
        "icon": GitmojiEnum.ANIMATION.value,
        "code": ":dizzy:",
        "desc": "Add or update animations and transitions.",
    },
    {
        "type": "deprecation",
        "icon": GitmojiEnum.DEPRECATION.value,
        "code": ":wastebasket:",
        "desc": "Deprecate code that needs to be cleaned up.",
    },
    {
        "type": "auth",
        "icon": GitmojiEnum.AUTH.value,
        "code": ":passport_control:",
        "desc": "Work on code related to authorization, roles and permissions.",
    },
    {
        "type": "fix-simple",
        "icon": GitmojiEnum.FIX_SIMPLE.value,
        "code": ":adhesive_bandage:",
        "desc": "Simple fix for a non-critical issue.",
    },
    {
        "type": "exploration",
        "icon": GitmojiEnum.EXPLORATION.value,
        "code": ":monocle_face:",
        "desc": "Data exploration/inspection.",
    },
    {
        "type": "dead",
        "icon": GitmojiEnum.DEAD.value,
        "code": ":coffin:",
        "desc": "Remove dead code.",
    },
    {
        "type": "test-fail",
        "icon": GitmojiEnum.TEST_FAIL.value,
        "code": ":test_tube:",
        "desc": "Add a failing test.",
    },
    {
        "type": "logic",
        "icon": GitmojiEnum.LOGIC.value,
        "code": ":necktie:",
        "desc": "Add or update business logic.",
    },
    {
        "type": "health",
        "icon": GitmojiEnum.HEALTH.value,
        "code": ":stethoscope:",
        "desc": "Add or update healthcheck.",
    },
    {
        "type": "infra",
        "icon": GitmojiEnum.INFRA.value,
        "code": ":bricks:",
        "desc": "Infrastructure related changes.",
    },
    {
        "type": "devxp",
        "icon": GitmojiEnum.DEVXP.value,
        "code": ":technologist:",
        "desc": "Improve developer experience.",
    },
    {
        "type": "money",
        "icon": GitmojiEnum.MONEY.value,
        "code": ":money_with_wings:",
        "desc": "Add sponsorships or money related infrastructure.",
    },
    {
        "type": "threading",
        "icon": GitmojiEnum.THREADING.value,
        "code": ":thread:",
        "desc": "Add or update code related to multithreading or concurrency.",
    },
    {
        "type": "validation",
        "icon": GitmojiEnum.VALIDATION.value,
        "code": ":safety_vest:",
        "desc": "Add or update code related to validation.",
    },
    {
        "type": "chore",
        "icon": GitmojiEnum.CHORE.value,
        "code": ":broom:",
        "desc": "Commit changes related to miscelaneous chores.",
    },
    {
        "type": "squash",
        "icon": GitmojiEnum.SQUASH.value,
        "code": ":point_down:",
        "desc": "Squash commits.",
    },
    {
        "type": "fixup",
        "icon": GitmojiEnum.FIXUP.value,
        "code": ":dotted_line_face:",
        "desc": "Fixup commits.",
    },
]
